Subject: Re: WHO'S IN CHARGE HERE, ANYWAY?!?
From: Theodore Ts'o <[email-masked]>
Date: 9 May 1993 15:19:35 GMT
Newsgroups: comp.os.linux.announce

>        Let's name serial lines "tty[S-V][0-f]"
>        Much like the pty's where there is a letter then a hex digit,
>        so this scheme for the serial lines.  Only with serial lines,
>        the letters start with "S" and are CAPITALIZED.

I write this message from Hong Kong, and I am posting it via compuserve.
I write this with mixed feelings, since I don't want to increase already
far-too-great confusion over the serial device naming, and at least at
some level, I feel sorry for bashing Rick as much as I have.  However, I 
feel compelled to write this message for the following reasons:

	* The proposal was technically a mistake (from what I have seen
		of it).
	* The process by which the proposal was advanced was also
		flawed.

I will admit to being personally miffed.  As the current maintainer of
the serial device driver, I have put in many hours trying to improve it
and to fix various bugs, so that it would work on as many systems as
possible.  As some of you know, this is no easy task.

Yet I was *never* consulted about these changes.  The first proposed
change, which caused a lot of confusion, was made by Rick WITHOUT ANY
CONSULTATION WITH ANYONE ELSE.  His second change, was then made by
proposing it to comp.os.linux, but without first consulting me --- and
this was after I had made it clear to him that I greatly would have
appreciated being consulted before he attempted to make another device
naming change.  Before I went on vacation in Hong Kong, I sent mail to
most of the major Linux developers, INCLUDING RICK, giving them the
compuserve address where I could be reached in case something came up.
Despite this, Rick did not see fit to run his proposal by me.

Therefore, I must complain of foul play, and ask for a timeout.

I believe Rick overstepped his bounds as "Linux Device Registrar" --- a
registrar records; he does not make policy decisions.  While the Linux
community has very little in the way of official policy decisions, every
thing is voluntary.  But if anyone at all should have a say, it should
be the developer himself.  As the current developer for the serial device
driver, I WAS NOT CONSULTED, and I DO NOT BUY INTO THIS CHANGE.

>From what I have seen, the serial naming proposal is a very bad idea,
and if Peter and HJ adopt it in their various Linux distributions, it
will end up causing more harm to the Linux community than good.  We
don't need another serial naming convention to cause more confusion
amongst the newbies.  If ps can't handle a name like /dev/ttyS12, then
it is a bug in ps, and it should be fixed.  If people want to use their
own names on their own systems, they can be free to do so.  But we don't
need to make a change in the standard naming conventions just to
workaround a program bug.

There may be some other good reasons why this change should be made.
But private correspondence between myself and Rick have not turned up
any other justification for this meddling with the otherwise perfectly
good naming convention.  However, since I do not have general Internet
access, it is not practical for me to debate this matter until I get
back from Hong Kong.

Hence, I must personally ask a favor of Peter MacDonald, and HJ Lu, and
all other Linux distributors.  I am hereby personally requesting that
they hold off from changing their respective Linux distributions to
follow Rick's proposed naming scheme, and if they have, to back out such
changes, and that they do so for three weeks, until June 1.  I will be
returning from Hong Kong on May 20th, and will then have some time to
review the various discussions that have happened behind my back, while I
have been away.

This is not a demand, since no one, not even a self proclaimed Linux
Device Registrar, can dictate a standard to everyone else in the Linux
community, but a personal request by someone who has put in countless
hours maintaining the serial driver, not to mention the TSX-11 ftp
archive and the comp.os.linux mail gateway.  It is not made solely
because of the personal affront I have suffered, but out of concern of
the greater Linux community.  I truly believe this change has more bad
effects and causes more confusion than whatever good its proponents
might claim.

						- Ted

P.S.  The only reason how I found out about this change at all was that
I spent a couple of days visiting friends in California before going to
Hong Kong, and I just happened to download some mail/news to my Linux
laptop before I left San Francisco to go to Hong Kong.  Otherwise, I
wouldn't have discovered this fiat accompli until after my vacation.

P.P.S.  Yes, I'm having a great time in Hong Kong!!!  I do read my
compuserve mail roughly once a day, but I must request that you not send
mail to this address unless you truely believe it is important --- it
costs me money to read mail from the Internet.

-- 
Matt Welsh, [email-masked]
"That kernel's got a mean streak A MILE WIDE!!" --Chip Salzenberg